OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TEdge1 Class Reference

`#include <PTopoDS_TEdge1.hxx>`

Inheritance diagram for PTopoDS_TEdge1:

[legend]

## Public Member Functions
Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
| PTopoDS_TEdge1 (const Storage_stCONSTclCOM &a)
| PTopoDS_TEdge1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PTopoDS_TEdge1::PTopoDS_TEdge1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PTopoDS_TEdge1::PTopoDS_TEdge1 | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_TEdge1::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TShape1. Reimplemented in PBRep_TEdge1.

Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TEdge1::ShapeType | ( |  | ) | const`[virtual]`

| Implements PTopoDS_TShape1.

The documentation for this class was generated from the following file:

- PTopoDS_TEdge1.hxx